From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/acts_as_list/
Date: Mon, 3 Jun 2024 05:55:08 +0000 (UTC) [thread overview]
Message-ID: <1717394098.c49fd593f68124398d055ea3a39cdc5f447a41e2.graaff@gentoo> (raw)
commit: c49fd593f68124398d055ea3a39cdc5f447a41e2
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 3 05:53:04 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jun 3 05:54:58 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c49fd593
dev-ruby/acts_as_list: add 1.2.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/acts_as_list/Manifest | 1 +
dev-ruby/acts_as_list/acts_as_list-1.2.0.ebuild | 42 +++++++++++++++++++++++++
2 files changed, 43 insertions(+)
diff --git a/dev-ruby/acts_as_list/Manifest b/dev-ruby/acts_as_list/Manifest
index 41ed93deebb9..cc06dff44ea1 100644
--- a/dev-ruby/acts_as_list/Manifest
+++ b/dev-ruby/acts_as_list/Manifest
@@ -1 +1,2 @@
DIST acts_as_list-1.1.0.gem 41984 BLAKE2B abeb0325795276294451b4cb86e20dab6871003c72679ce28f9326cd844234ad56457a03d9b9ecd81b8c143deeefc25dd15df88a38ebdd1324a953b2399465e7 SHA512 bdcaf07bc4ad3854d68c8d95e666e86c2500474ffa212c315b6b4abd321341ac782c0e301f2c859c12b80ecfdd1cc743ccf8a7bdbdb36e30fafcd98d4928a00a
+DIST acts_as_list-1.2.0.gem 41984 BLAKE2B 98652e8b974501a499fb06f73807adfca411912f7b6e705ca91f654b814c61d419018af068ea4977abae55b6ebcea7d2dd7c48a2b107f0d31f1027799875978a SHA512 16e5b5549db7884077b3fe3131b1f91f3b857a083ab80b9b1c19a59b25740b53b032081743f222850fd06cc5892164e0c06cc0c63ae35cf646920f5e7d87292d
diff --git a/dev-ruby/acts_as_list/acts_as_list-1.2.0.ebuild b/dev-ruby/acts_as_list/acts_as_list-1.2.0.ebuild
new file mode 100644
index 000000000000..c33afe589595
--- /dev/null
+++ b/dev-ruby/acts_as_list/acts_as_list-1.2.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+inherit ruby-fakegem
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="init.rb"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+DESCRIPTION="Capabilities for sorting and reordering a number of objects in a list"
+HOMEPAGE="https://github.com/brendon/acts_as_list"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/activerecord-6.1:* >=dev-ruby/activesupport-6.1:*"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/mocha-2.1.0:2
+ dev-ruby/test-unit:2
+ dev-ruby/timecop
+ dev-ruby/activerecord[sqlite]
+ )"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ sed -i -e '/bundler/,/^end/ s:^:#:' test/helper.rb || die
+ sed -i -e '/git ls/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/github_changelog/,$ s:^:#:' Rakefile || die
+}
+
+each_ruby_test() {
+ DB=sqlite each_fakegem_test
+}
next reply other threads:[~2024-06-03 5:55 UTC|newest]
Thread overview: 63+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-03 5:55 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-23 8:11 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/acts_as_list/ Hans de Graaff
2024-10-15 5:48 Hans de Graaff
2024-10-06 7:40 Hans de Graaff
2024-07-18 6:05 Hans de Graaff
2024-06-09 9:20 Hans de Graaff
2023-09-16 5:30 Hans de Graaff
2023-09-15 6:15 Hans de Graaff
2023-02-04 7:41 Hans de Graaff
2023-02-04 7:41 Hans de Graaff
2022-10-05 5:33 Hans de Graaff
2022-03-26 7:48 Hans de Graaff
2022-03-26 7:48 Hans de Graaff
2021-05-16 5:31 Hans de Graaff
2021-05-16 5:31 Hans de Graaff
2021-02-16 5:45 Hans de Graaff
2020-09-16 6:15 Hans de Graaff
2020-08-23 6:31 Hans de Graaff
2020-08-23 6:31 Hans de Graaff
2020-02-27 6:05 Hans de Graaff
2019-09-30 5:44 Hans de Graaff
2019-09-27 4:41 Hans de Graaff
2019-05-04 18:32 Hans de Graaff
2019-03-12 5:49 Hans de Graaff
2019-03-12 5:49 Hans de Graaff
2019-03-08 5:29 Hans de Graaff
2018-10-31 5:34 Hans de Graaff
2018-10-31 5:34 Hans de Graaff
2018-08-30 4:55 Hans de Graaff
2018-06-14 4:39 Hans de Graaff
2018-06-06 4:07 Hans de Graaff
2018-06-06 4:07 Hans de Graaff
2018-05-03 4:42 Hans de Graaff
2018-03-20 6:21 Hans de Graaff
2018-03-20 6:21 Hans de Graaff
2017-11-22 6:10 Hans de Graaff
2017-10-09 5:21 Hans de Graaff
2017-10-09 5:21 Hans de Graaff
2017-09-29 14:20 Hans de Graaff
2017-07-09 6:30 Hans de Graaff
2017-07-09 6:30 Hans de Graaff
2017-04-05 5:15 Hans de Graaff
2017-04-05 5:15 Hans de Graaff
2017-03-19 6:23 Hans de Graaff
2017-03-14 5:43 Hans de Graaff
2017-02-10 6:56 Hans de Graaff
2017-02-10 6:56 Hans de Graaff
2017-01-27 20:07 Hans de Graaff
2017-01-23 6:44 Hans de Graaff
2016-09-24 3:37 Hans de Graaff
2016-09-24 3:37 Hans de Graaff
2016-09-10 5:51 Hans de Graaff
2016-08-29 5:37 Hans de Graaff
2016-08-29 5:37 Hans de Graaff
2016-08-21 6:02 Hans de Graaff
2016-07-25 5:28 Hans de Graaff
2016-07-06 5:04 Hans de Graaff
2016-04-29 7:36 Hans de Graaff
2016-04-16 5:59 Hans de Graaff
2016-04-16 5:59 Hans de Graaff
2016-04-15 5:50 Hans de Graaff
2016-03-08 20:58 Manuel Rüger
2015-12-11 7:13 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1717394098.c49fd593f68124398d055ea3a39cdc5f447a41e2.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox